# Interface IHorizontalPositionOptions

interface IHorizontalPositionOptions {
align?:
| "center"
| "left"
| "right"
| "inside"
| "outside";
offset?: number;
relative?:
| "margin"
| "page"
| "character"
| "column"
| "insideMargin"
| "leftMargin"
| "outsideMargin"
| "rightMargin";
}

- Defined in file/drawing/floating/floating-position.ts:31

#####
Index

### Properties

align?
offset?
relative?

##
Properties

### `Optional` `Readonly` align

align?:
| "center"
| "left"
| "right"
| "inside"
| "outside"

- Defined in file/drawing/floating/floating-position.ts:33

### `Optional` `Readonly` offset

offset?: number

- Defined in file/drawing/floating/floating-position.ts:34

### `Optional` `Readonly` relative

relative?:
| "margin"
| "page"
| "character"
| "column"
| "insideMargin"
| "leftMargin"
| "outsideMargin"
| "rightMargin"

- Defined in file/drawing/floating/floating-position.ts:32